﻿
using TenCrowns.ClientCore;
using TenCrowns.GameCore;

namespace ExtendedInheritanceScreen
{
    internal class ExtendedInheritanceScreenGameFactory : GameFactory
    {
        public ExtendedInheritanceScreenGameFactory() : base()
        {
            return;
        }

        public override Player CreatePlayer()
        {
            return (Player)new ExtendedInheritanceScreenPlayer();
        }

        public override Character CreateCharacter()
        {
            return (Character)new ExtendedInheritanceScreenCharacter();
        }
    }
}
